Search Tree Persons

This operation enables you to search tree persons using a variety of query parameters such as name, event dates and places, sex, and more. This operation returns person summaries that match the search criteria.

For a detailed explanation of all supported query parameters, including formatting examples, filtering tips, and usage guidelines, see the Family Tree Search guide.

Filter and Facet Parameters

This endpoint supports dynamic f.* (filter) and c.* (facet) parameters controlled by the underlying search service. Due to the large number of possible combinations and their dynamic nature, only commonly-used examples are shown below.

⚠️ Parameter Format: Filter and facet parameters follow the pattern:

  • Filters: f.[parameter]=[value] (e.g., f.birthPlace0=3,Canada)
  • Facets: c.[parameter]=on (e.g., c.sex=on)

Multiple Facets: You can enable multiple facet parameters simultaneously (e.g., c.sex=on&c.birthYear0=on) to see distribution across different dimensions.

Hierarchical Parameters: For hierarchical data like places (birthYear0, birthYear1, birthYear2), you can jump directly to any level without filtering intermediate levels. For example, you can use c.birthPlace1=on without setting f.birthPlace0 to see all state-level distributions.

For the list of common parameters and detailed faceting workflows, see the Search/Faceting/Filter Guide.
For information on Family Tree Search specifically, see the Family Tree Search Guide.

You can explore this endpoint interactively by setting sample query parameters below.

⚠️

"Try It!" Limitations

The built-in API explorer has limited support for this operation due to the complexity of the query parameter structure. While you can run simple queries using q. parameters and the example f. / c. parameters shown below, it does not support all possible filter and facet combinations.

For full testing capabilities, we recommend using an external API client tool such as Bruno or Postman, which offer more control over request construction and parameter encoding.

To discover available parameters dynamically, use faceting: enable c.[parameter]=on in your request, and the response will include valid filter values you can use.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The given name of the person being searched.

string

The family name of the person being searched.

string

The sex of the person being searched. Valid values are documented in Gedcomx Known Gender Types. 'http://gedcomx.org/' should not be included in the value. 'Male', 'Female', etc. is all that is required.

string

The birth like Gedcomx date of the person being searched.

string

The birth like place of the person being searched.

string

The death like Gedcomx date of the person being searched.

string

The death like place of the person being searched.

string

The marriage like Gedcomx date of the person being searched.

string

The marriage like place of the person being searched.

string

A Gedcomx date of residence of the person being searched.

string

A place of residence of the person being searched.

string

The given name of a father of the person being searched.

string

The family name of a father of the person being searched.

string

The birth like place of a father of the person being searched.

string

The given name of a mother of the person being searched.

string

The family name of a mother of the person being searched.

string

The birth like place of a mother of the person being searched.

string

The given name of a parent of the person being searched. If the sex is known to be 'Male' or 'Female', use 'mother' or 'father' rather than 'parent'.

string

The family name of a parent of the person being searched. If the sex is known to be 'Male' or 'Female', use 'mother' or 'father' rather than 'parent'

string

The birth like place of a parent of the person being searched.

string

The given name of the spouse of the person being searched.

string

The family name of the spouse of the person being searched.

string

Enable faceting for defaults in search system. Set to 'on' to see all default facets available in search.

string

Enable faceting for collections. Set to 'on' to see collection distribution in results.

string

Enable faceting for user trees. Set to 'on' to see user tree distribution in results.

string

Enable faceting for sex. Set to 'on' to see sex distribution in results.

string

Filter by sex. Valid values: male, female, ?.

string

Enable faceting for birth year. Set to 'on' to see birth year distribution in results.

string

Filter by birth year (e.g., 1850). Use faceting to discover available year ranges.

string

Enable faceting for birth country. Set to 'on' to see available countries in the response. Use the params field from facet results to construct the corresponding f.birthPlace0 filter.

string

Filter by birth country using standardized place format: [parent_id],[place_name] (e.g., 3,Canada). Use faceting to discover valid values.

string

Additional facet parameters follow the pattern c.[parameter]=on. See the Family Tree Search guide for the complete list of available facets.

string

Additional filter parameters follow the pattern f.[parameter]=[value]. See the Family Tree Search guide for the complete list of available filters.

int64

The 0 based index of the first result to be returned. Default = 0. 0 <= offset <= 4999

int64

The maximum number of search results to return. Default = 20. 1 <= count <= 100.

Responses
200

The read was successful. See Person Schema (JSON)

204

Upon a successful search with no results.

400

The request was unable to be understood by the application. See response warning headers for details.

429

The request was throttled.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!